@import "../../styles/mixins";

.container {
  background: $black;
  .innerContainer {
    padding-top: 3rem;
    @include tablet {
      max-width: $tablet-size;
      margin: auto;
    }
    @include desktop {
      max-width: $desktop-size;
      margin: auto;
    }
    h1 {
      color: $white;
      text-align: left;
      margin-left: 1.5rem;
      margin-bottom: 2rem;
      font-weight: 900;
      width: 50%;
      font-size: 3.3rem;
      line-height: 3rem;
    }
  }
}

.cardsList {
  padding: 1.5rem;
  @include tablet {
    display: flex;
    gap: 1.5rem;
    flex-wrap: wrap;
  }

  .card {
    margin-bottom: 3rem;
    border-radius: 1rem;
    overflow: hidden;
    @include tablet {
      cursor: pointer;
      margin-bottom: 1rem;
      width: 30%;
    }
    @include desktop {
      width: 23%;
    }
  }

  .cardImage {
    border-radius: 1rem;
    @include desktop {
      &:hover {
        transition: all 0.5s;
        transform: scale(0.94);
      }
    }
  }
}

.cardTextContainer {
  padding: 1em;
  @include tablet {
    padding: 0.5em;
    padding-top: 1em;
  }
  p {
    color: $white;
    margin-bottom: 0.4em;
    font-weight: 500;
    font-size: 0.9rem;
  }
  h3 {
    color: $white;
    font-size: 1.05rem;
    font-weight: 300;
    line-height: 1.2rem;
    text-align: left;
    @include tablet {
      font-size: 1rem;
      line-height: 1.2rem;
    }
  }
}

.cardImage {
  object-position: center;
}
